From: "Andreas Sturmlechner" <asturm@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: media-sound/tempest_for_eliza/
Date: Fri, 7 Sep 2018 12:13:22 +0000 (UTC) [thread overview]
Message-ID: <1536322334.1bd6ffd5e108e0e177e6a4081dc5d5ef9a92978d.asturm@gentoo> (raw)
commit: 1bd6ffd5e108e0e177e6a4081dc5d5ef9a92978d
Author: Michael Mair-Keimberger <m.mairkeimberger <AT> gmail <DOT> com>
AuthorDate: Tue Sep 4 18:26:33 2018 +0000
Commit: Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Fri Sep 7 12:12:14 2018 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1bd6ffd5
media-sound/tempest_for_eliza: EAPI7 revbump, improve ebuild
Closes: https://bugs.gentoo.org/665236
Closes: https://github.com/gentoo/gentoo/pull/9778
.../tempest_for_eliza-1.0.5-r2.ebuild | 35 ++++++++++++++++++++++
1 file changed, 35 insertions(+)
diff --git a/media-sound/tempest_for_eliza/tempest_for_eliza-1.0.5-r2.ebuild b/media-sound/tempest_for_eliza/tempest_for_eliza-1.0.5-r2.ebuild
new file mode 100644
index 00000000000..c1f630a8951
--- /dev/null
+++ b/media-sound/tempest_for_eliza/tempest_for_eliza-1.0.5-r2.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit toolchain-funcs
+
+DESCRIPTION="Listen to music on the radio generated by images on your screen"
+HOMEPAGE="http://www.erikyyy.de/tempest/"
+SRC_URI="http://www.erikyyy.de/tempest/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86"
+
+RDEPEND="media-libs/libsdl"
+DEPEND="${RDEPEND}"
+
+src_configure() {
+ tc-export CXX
+ econf \
+ --enable-debug \
+ --enable-nowarnerror
+}
+
+src_compile() {
+ emake CXXFLAGS="${CXXFLAGS}" LDFLAGS="${LDFLAGS}"
+}
+
+src_install() {
+ default
+ rm songs/Makefile* || die
+ insinto /usr/share/${PN}
+ doins songs/*
+}
next reply other threads:[~2018-09-07 12:13 UTC|newest]
Thread overview: 3+ messages / expand[flat|nested] mbox.gz Atom feed top
2018-09-07 12:13 Andreas Sturmlechner [this message]
-- strict thread matches above, loose matches on Subject: below --
2018-10-13 8:59 [gentoo-commits] repo/gentoo:master commit in: media-sound/tempest_for_eliza/ Mikle Kolyada
2018-10-13 8:59 Mikle Kolyada
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1536322334.1bd6ffd5e108e0e177e6a4081dc5d5ef9a92978d.asturm@gentoo \
--to=asturm@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox